%define base_name	kwin-style
%define theme_name	knifty
%define name		%{base_name}-%{theme_name}
%define version		0.4.2
%define release		1mdk
%define summary		Knifty kwinstyle for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=8841
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		png-devel , jpeg-devel
BuildRequires:		qt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot
Provides:		kdemoreartwork-%{theme_name}
Obsoletes:		kdemoreartwork-%{theme_name}

%description
Native Kwin window decoration for KDE 3.x

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_datadir}/apps/kwin/%{theme_name}.desktop
%_libdir/kde3/kwin_knifty_config.la
%_libdir/kde3/kwin_knifty_config.so

%changelog
* Fri Aug 06 2004 Laurent Culioli <laurent@mandrake.org> 0.4.2-1mdk
- 0.4.2
- drop Patch0 ( merged upstream )

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-3mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 0.4.1-2mdk
- new naming scheme

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 0.3.4-2mdk
- requires

* Mon Aug 25 2003 Laurent Culioli <laurent@pschit.net> 0.3.4-1mdk
- initial release

